<!doctype html>

{% assign actualPage = page %}
{% if actualPage.duplicateFromOriginal or page.isStub %}
  {% assign actualPage = site.pages | where: 'lang', 'en' | where: 'content_id', page.content_id | first %}
{% endif %}

<html>
  <head>
    <meta charset="utf-8">
    <title>{{site.data.localisations.dotarota[page.lang]}} - {{ page.title }}</title>

    <link rel="stylesheet" type="text/css" href="{{site.baseurl}}/css/main.css">
    <link rel="stylesheet" type="text/css" href="{{site.baseurl}}/css/bootstrap_slate_theme.css">
    <link rel="stylesheet" type="text/css" href="{{site.baseurl}}/css/lightgallery.css">

  </head>
  <body>

    <script src="{{site.baseurl}}/js/lg-utils.js"></script>
    <script src="{{site.baseurl}}/js/lightgallery.js"></script>

    <div class="topbar">
      {% include topbar.html %}
    </div>
    <div class="central">
        <div class="navbar">
            {% capture navContext %}/en/{% endcapture %}
            {% include nav.html context=navContext %}
        </div>
        <div class="main">
          {% if page.isStub %}
            <div class="premonition warning">
              <div class="fa fa-exclamation-circle"></div>
              <div class="content"><p class="header">{{ site.data.localisations.localised_page_unavailable_title[page.lang] }}</p>
              <p>{{ site.data.localisations.localised_page_unavailable[page.lang] }}</p>
            </div></div>
          {% endif %}

          {% if actualPage.brokenByValve %}
            </div>
            <div class="premonition error">
              <div class="fa fa-exclamation-circle"></div>
              <div class="content"><p class="header">{{ site.data.localisations.broken_by_valve_title[page.lang] }} </p>
              <p>{{ site.data.localisations.broken_by_valve[page.lang] }} ({{ actualPage.brokenByValve }})</p>
            </div></div>
          {% endif %}

          <h1 class="title">{{ actualPage.title }}</h1>

          <div class="infoFeatureContainer">
            {% include infobox.html 
                  info=actualPage.infoBoxContent
                  tags=actualPage.tags
                  supported_languages = actualPage.supported_languages
            %}

            {% capture checkPath%}images/{{page.contentType}}/{{page.content_id}}/feature.png{% endcapture %}
            {% assign featureImage = site.static_files | where_exp: "image", "image.path contains checkPath" | first %}
            {% if featureImage %}
              <div class="featureImageContainer">
              <img class="featureImage" src="{{site.baseurl}}{{featureImage.path}}"/>
              </div>
            {% endif %}
          </div>
          <div style="clear: both;"></div>

          {{ actualPage.content }}


          {% capture checkPath%}images/{{page.contentType}}/{{page.content_id}}/gallery{% endcapture %}
          {% assign galleryImages = site.static_files | where_exp: "image", "image.path contains checkPath" %}

          {% assign gallerySize = galleryImages | size %}
          {% if gallerySize > 0 %}
            <hr/>
            <h2 class="center">{{ site.data.localisations.gallery[page.lang] }} </h2>

            <div id="lightgallery">

              {% for image in galleryImages %}
                  <a href="{{site.baseurl}}{{image.path}}">
                      <img src="{{site.baseurl}}{{image.path}}" />
                  </a>
              {% endfor %}
            </div>
          {% endif %}

          {% if actualPage.related_mods %}
            <hr/>
            <h2 class="center">{{ site.data.localisations.related_mods[page.lang] }} </h2>

            <div class="listContainer">
            {% for mod in actualPage.related_mods %}
              {% assign entry = site.pages |
                    where: 'lang', 'en' |
                    where: 'content_id', mod | 
                    first
              %}

              {% include card.html entry=entry %}
            {% endfor %}
            </div>

          {% endif %}

        </div>
    </div>

    <div class="botbar">
      {% include botbar.html %}
    </div>

    <script>
        lightGallery(document.getElementById('lightgallery'), {
          width: '80%',
          height: '80%',
          mode: 'lg-fade',
          addClass: 'fixed-size',
          counter: false,
          download: false,
          startClass: '',
          enableSwipe: false,
          enableDrag: false,
          speed: 500
        }); 
    </script>


  </body>
</html>